org.eclipse.ease.lang.javascript.nashorn

## Class NashornBootstrapper

- java.lang.Object
- - org.eclipse.ease.lang.javascript.nashorn.NashornBootstrapper

All Implemented Interfaces:
  IScriptEngineLaunchExtension

    public class NashornBootstrapper
    extends java.lang.Object
    implements IScriptEngineLaunchExtension

### Constructor Summary

Constructors
Constructor and Description
`NashornBootstrapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createEngine(IScriptEngine engine)` Called upon a script engine creation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NashornBootstrapper

    public NashornBootstrapper()

### Method Detail

#### createEngine

    public void createEngine(IScriptEngine engine)

Description copied from interface: `IScriptEngineLaunchExtension`
Called upon a script engine creation. As there might be multiple launch extensions, this might not be the only contribution to the script engine.

Specified by:
  `createEngine` in interface `IScriptEngineLaunchExtension`
Parameters:
  `engine` - engine just created